"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZStack = exports.VStack = exports.UnevenRoundedRectangle = exports.Toggle = exports.TextField = exports.TextEditor = exports.Text = exports.Stepper = exports.Spacer = exports.Slider = exports.SecureField = exports.Section = exports.RoundedRectangle = exports.Rectangle = exports.ProgressView = exports.Picker = exports.Menu = exports.List = exports.Label = exports.Image = exports.HStack = exports.Ellipse = exports.Divider = exports.DatePicker = exports.ColorPicker = exports.Color = exports.Circle = exports.Capsule = exports.Button = void 0;
const react_1 = __importDefault(require("react"));
const Button_1 = require("../views/Button");
const Color_1 = require("../views/Color");
const ColorPicker_1 = require("../views/ColorPicker");
const DatePicker_1 = require("../views/DatePicker");
const Divider_1 = require("../views/Divider");
const HStack_1 = require("../views/HStack");
const Image_1 = require("../views/Image");
const Label_1 = require("../views/Label");
const List_1 = require("../views/List");
const Menu_1 = require("../views/Menu");
const Picker_1 = require("../views/Picker");
const ProgressView_1 = require("../views/ProgressView");
const Section_1 = require("../views/Section");
const Shape_1 = require("../views/Shape");
const Slider_1 = require("../views/Slider");
const Spacer_1 = require("../views/Spacer");
const Stepper_1 = require("../views/Stepper");
const Text_1 = require("../views/Text");
const TextField_1 = require("../views/TextField");
const Toggle_1 = require("../views/Toggle");
const VStack_1 = require("../views/VStack");
const ZStack_1 = require("../views/ZStack");
const createSwiftUIComponent_1 = require("./createSwiftUIComponent");
const Text = (text) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Text_1.Text, {}, text);
exports.Text = Text;
const Button = (props, ...children) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Button_1.Button, props, children);
exports.Button = Button;
const Image = ({ systemName }) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Image_1.Image, { systemName }, undefined);
exports.Image = Image;
const VStack = (propsOrFirstChild, ...children) => {
    const hasProps = 'alignment' in propsOrFirstChild || 'spacing' in propsOrFirstChild;
    const allChildren = hasProps
        ? children
        : [propsOrFirstChild, ...children];
    return (0, createSwiftUIComponent_1.createSwiftUIComponent)(VStack_1.VStack, propsOrFirstChild, react_1.default.Children.map(allChildren, (c) => {
        return react_1.default.cloneElement(c, { key: children.indexOf(c) });
    }));
};
exports.VStack = VStack;
const ZStack = (propsOrFirstChild, ...children) => {
    const hasProps = 'alignment' in propsOrFirstChild;
    const allChildren = hasProps
        ? children
        : [propsOrFirstChild, ...children];
    return (0, createSwiftUIComponent_1.createSwiftUIComponent)(ZStack_1.ZStack, propsOrFirstChild, react_1.default.Children.map(allChildren, (c) => {
        return react_1.default.cloneElement(c, { key: children.indexOf(c) });
    }));
};
exports.ZStack = ZStack;
const HStack = (propsOrFirstChild, ...children) => {
    const hasProps = 'alignment' in propsOrFirstChild || 'spacing' in propsOrFirstChild;
    const allChildren = hasProps
        ? children
        : [propsOrFirstChild, ...children];
    return (0, createSwiftUIComponent_1.createSwiftUIComponent)(HStack_1.HStack, propsOrFirstChild, react_1.default.Children.map(allChildren, (c) => {
        return react_1.default.cloneElement(c, { key: children.indexOf(c) });
    }));
};
exports.HStack = HStack;
const Toggle = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Toggle_1.Toggle, props, undefined);
exports.Toggle = Toggle;
const Stepper = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Stepper_1.Stepper, props, undefined);
exports.Stepper = Stepper;
const Spacer = () => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Spacer_1.Spacer, {}, undefined);
exports.Spacer = Spacer;
const Label = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Label_1.Label, props, undefined);
exports.Label = Label;
const List = (...children) => {
    return (0, createSwiftUIComponent_1.createSwiftUIComponent)(List_1.List, {}, react_1.default.Children.map(children, (c) => {
        return react_1.default.cloneElement(c, { key: children.indexOf(c) });
    }));
};
exports.List = List;
const Color = (color) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Color_1.Color, { color }, undefined);
exports.Color = Color;
Color.red = Color('red');
Color.green = Color('green');
Color.blue = Color('blue');
Color.black = Color('black');
Color.white = Color('white');
Color.gray = Color('gray');
Color.primary = Color('primary');
Color.secondary = Color('secondary');
Color.accentColor = Color('accentColor');
Color.clear = Color('clear');
Color.cyan = Color('cyan');
Color.indigo = Color('indigo');
Color.mint = Color('mint');
Color.orange = Color('orange');
Color.pink = Color('pink');
Color.purple = Color('purple');
Color.teal = Color('teal');
Color.yellow = Color('yellow');
const ColorPicker = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(ColorPicker_1.ColorPicker, props, undefined);
exports.ColorPicker = ColorPicker;
const DatePicker = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(DatePicker_1.DatePicker, props, undefined);
exports.DatePicker = DatePicker;
const Picker = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Picker_1.Picker, props, undefined);
exports.Picker = Picker;
const Slider = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Slider_1.Slider, props, undefined);
exports.Slider = Slider;
const TextField = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(TextField_1.TextField, props, undefined);
exports.TextField = TextField;
const SecureField = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(TextField_1.SecureField, props, undefined);
exports.SecureField = SecureField;
const TextEditor = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(TextField_1.TextEditor, props, undefined);
exports.TextEditor = TextEditor;
const ProgressView = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(ProgressView_1.ProgressView, props, undefined);
exports.ProgressView = ProgressView;
const Circle = () => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Shape_1.Circle, {}, undefined);
exports.Circle = Circle;
const Capsule = () => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Shape_1.Rectangle, {}, undefined);
exports.Capsule = Capsule;
const Ellipse = () => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Shape_1.Ellipse, {}, undefined);
exports.Ellipse = Ellipse;
const RoundedRectangle = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Shape_1.RoundedRectangle, props, undefined);
exports.RoundedRectangle = RoundedRectangle;
const Rectangle = () => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Shape_1.Rectangle, {}, undefined);
exports.Rectangle = Rectangle;
const UnevenRoundedRectangle = (props) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Shape_1.UnevenRoundedRectangle, props, undefined);
exports.UnevenRoundedRectangle = UnevenRoundedRectangle;
const Section = (propsOrFirstChild, ...children) => {
    const hasProps = 'header' in propsOrFirstChild || 'footer' in propsOrFirstChild;
    const allChildren = hasProps
        ? children
        : [propsOrFirstChild, ...children];
    return (0, createSwiftUIComponent_1.createSwiftUIComponent)(Section_1.Section, {
        header: hasProps ? propsOrFirstChild.header : '',
        footer: hasProps ? propsOrFirstChild.footer : '',
    }, react_1.default.Children.map(allChildren, (c) => {
        return react_1.default.cloneElement(c, { key: children.indexOf(c) });
    }));
};
exports.Section = Section;
const Divider = () => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Divider_1.Divider, {}, undefined);
exports.Divider = Divider;
const Menu = (props, ...children) => (0, createSwiftUIComponent_1.createSwiftUIComponent)(Menu_1.Menu, props, react_1.default.Children.map(children, (c) => {
    return react_1.default.cloneElement(c, { key: children.indexOf(c) });
}));
exports.Menu = Menu;
//# sourceMappingURL=index.js.map