export type TextAlignment = 'leading' | 'center' | 'trailing';
export type VStackAlignment = 'leading' | 'center' | 'trailing';
export type HStackAlignment = 'top' | 'center' | 'bottom';
export type ZStackAlignment = 'top' | 'center' | 'bottom' | 'leading' | 'trailing' | 'topLeading' | 'topTrailing' | 'bottomLeading' | 'bottomTrailing';
export declare const AlignmentMap: {
    vstack: {
        leading: {
            alignItems: string;
            justifyContent: string;
            alignSelf: string;
        };
        center: {
            alignItems: string;
            justifyContent: string;
            alignSelf: string;
        };
        trailing: {
            alignItems: string;
            justifyContent: string;
            alignSelf: string;
        };
    };
    hstack: {
        top: {
            alignItems: string;
            justifyContent: string;
            alignSelf: string;
        };
        center: {
            alignItems: string;
            justifyContent: string;
            alignSelf: string;
        };
        bottom: {
            alignItems: string;
            justifyContent: string;
            alignSelf: string;
        };
    };
    zstack: {
        center: {
            justifyContent: string;
            alignItems: string;
            alignSelf: string;
        };
        leading: {
            justifyContent: string;
            alignItems: string;
            alignSelf: string;
        };
        trailing: {
            justifyContent: string;
            alignItems: string;
            alignSelf: string;
        };
        top: {
            justifyContent: string;
            alignItems: string;
            alignSelf: string;
        };
        bottom: {
            justifyContent: string;
            alignItems: string;
            alignSelf: string;
        };
        topLeading: {
            justifyContent: string;
            alignItems: string;
            alignSelf: string;
        };
        topTrailing: {
            justifyContent: string;
            alignItems: string;
            alignSelf: string;
        };
        bottomLeading: {
            justifyContent: string;
            alignItems: string;
            alignSelf: string;
        };
        bottomTrailing: {
            justifyContent: string;
            alignItems: string;
            alignSelf: string;
        };
    };
};
export declare const getAlignment: (alignment: ZStackAlignment | VStackAlignment | HStackAlignment, stackType: 'hstack' | 'vstack' | 'zstack') => any;
