"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onBaseEvent = void 0;
function onBaseEvent(e, modifiers, extraEvents) {
    const eventName = Object.keys(e.nativeEvent).filter((key) => key.startsWith('on'))[0];
    switch (eventName) {
        case 'onAppear':
            modifiers.onAppear?.();
            break;
        case 'onDisappear':
            modifiers.onDisappear?.();
            break;
    }
    if (extraEvents && extraEvents[eventName]) {
        extraEvents[eventName](e);
    }
}
exports.onBaseEvent = onBaseEvent;
// TODO: For sheet dismissal event:
// case 'onSheetDismissed':
//   if (
//     typeof modifiers.sheet.isPresented === 'object' &&
//     'setValue' in modifiers.sheet.isPresented
//   ) {
//     modifiers.sheet.isPresented.setValue(false);
//   }
//   modifiers.sheet.onDismiss?.();
//   break;
//# sourceMappingURL=onBaseEvent.js.map