"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPadding = exports.SYSTEM_PADDING = void 0;
exports.SYSTEM_PADDING = 20;
const getPadding = (paddingProps) => {
    if (!paddingProps)
        return null;
    if (typeof paddingProps === 'number') {
        return {
            paddingTop: paddingProps,
            paddingBottom: paddingProps,
            paddingLeft: paddingProps,
            paddingRight: paddingProps,
        };
    }
    if (typeof paddingProps === 'boolean' && paddingProps === true) {
        return {
            paddingTop: exports.SYSTEM_PADDING,
            paddingBottom: exports.SYSTEM_PADDING,
            paddingLeft: exports.SYSTEM_PADDING,
            paddingRight: exports.SYSTEM_PADDING,
        };
    }
    const { top, bottom, leading, trailing, vertical, horizontal, all } = paddingProps;
    return {
        ...((top || vertical || all) && {
            paddingTop: all || vertical || top || null,
        }),
        ...((bottom || vertical || all) && {
            paddingBottom: all || vertical || bottom || null,
        }),
        ...((leading || horizontal || all) && {
            paddingLeft: all || horizontal || leading || null,
        }),
        ...((trailing || horizontal || all) && {
            paddingRight: all || horizontal || trailing || null,
        }),
    };
};
exports.getPadding = getPadding;
//# sourceMappingURL=index.js.map