"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const Text_1 = require("../Text");
const NativeButton = (0, expo_modules_core_1.requireNativeViewManager)('Button');
function Button({ style, title, action, systemImage, role, children, ...modifiers }) {
    return (react_1.default.createElement(NativeButton, { title: title, role: role, systemImage: systemImage, modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers, { onAction: action });
        } }, children ? children : react_1.default.createElement(Text_1.Text, { ...modifiers }, title)));
}
exports.Button = Button;
//# sourceMappingURL=Button.ios.js.map