"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getColor = exports.Color = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeColor = (0, expo_modules_core_1.requireNativeViewManager)('Color');
const ColorModule = (0, expo_modules_core_1.requireNativeModule)('Color');
const ColorSubComponent = ({ color, ...props }) => {
    return react_1.default.createElement(exports.Color, { color: color, ...props });
};
const Color = ({ color, style, ...modifiers }) => {
    return (react_1.default.createElement(NativeColor, { modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { width: 30, height: 30 }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        }, color: color }));
};
exports.Color = Color;
exports.Color.black = (props) => react_1.default.createElement(ColorSubComponent, { color: "black", ...props });
exports.Color.blue = (props) => react_1.default.createElement(ColorSubComponent, { color: "blue", ...props });
exports.Color.brown = (props) => react_1.default.createElement(ColorSubComponent, { color: "brown", ...props });
exports.Color.clear = (props) => react_1.default.createElement(ColorSubComponent, { color: "clear", ...props });
exports.Color.cyan = (props) => react_1.default.createElement(ColorSubComponent, { color: "cyan", ...props });
exports.Color.gray = (props) => react_1.default.createElement(ColorSubComponent, { color: "gray", ...props });
exports.Color.green = (props) => react_1.default.createElement(ColorSubComponent, { color: "green", ...props });
exports.Color.indigo = (props) => react_1.default.createElement(ColorSubComponent, { color: "indigo", ...props });
exports.Color.mint = (props) => react_1.default.createElement(ColorSubComponent, { color: "mint", ...props });
exports.Color.orange = (props) => react_1.default.createElement(ColorSubComponent, { color: "orange", ...props });
exports.Color.pink = (props) => react_1.default.createElement(ColorSubComponent, { color: "pink", ...props });
exports.Color.purple = (props) => react_1.default.createElement(ColorSubComponent, { color: "purple", ...props });
exports.Color.red = (props) => react_1.default.createElement(ColorSubComponent, { color: "red", ...props });
exports.Color.teal = (props) => react_1.default.createElement(ColorSubComponent, { color: "teal", ...props });
exports.Color.white = (props) => react_1.default.createElement(ColorSubComponent, { color: "white", ...props });
exports.Color.yellow = (props) => react_1.default.createElement(ColorSubComponent, { color: "yellow", ...props });
exports.Color.accentColor = (props) => (react_1.default.createElement(ColorSubComponent, { color: "accentColor", ...props }));
exports.Color.primary = (props) => react_1.default.createElement(ColorSubComponent, { color: "primary", ...props });
exports.Color.secondary = (props) => react_1.default.createElement(ColorSubComponent, { color: "secondary", ...props });
function getColor(color) {
    return ColorModule.getColor(color);
}
exports.getColor = getColor;
//# sourceMappingURL=Color.ios.js.map