"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorPicker = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const binding_1 = require("../../utils/binding");
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeColorPicker = (0, expo_modules_core_1.requireNativeViewManager)('ColorPicker');
function ColorPicker({ selection, style, supportsOpacity = true, title, onChange, ...modifiers }) {
    return (react_1.default.createElement(NativeColorPicker, { supportsOpacity: supportsOpacity, title: title, selection: (0, binding_1.getValueOrBinding)(selection), modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, {
                width: title ? 300 : 30,
                height: 30,
            }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers, {
                onValueChange(e) {
                    if (typeof selection === 'object' && 'setValue' in selection) {
                        selection.setValue(e.nativeEvent.onValueChange);
                    }
                    onChange?.(e.nativeEvent.onValueChange);
                },
            });
        } }));
}
exports.ColorPicker = ColorPicker;
//# sourceMappingURL=ColorPicker.ios.js.map