"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatePicker = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const binding_1 = require("../../utils/binding");
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeDatePicker = (0, expo_modules_core_1.requireNativeViewManager)('DatePicker');
function DatePicker({ selection, displayedComponents, style, onChange, title, ...modifiers }) {
    return (react_1.default.createElement(NativeDatePicker, { selection: (0, binding_1.getValueOrBinding)(selection).toISOString(), modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), title: title, displayedComponents: Array.isArray(displayedComponents)
            ? displayedComponents
            : [displayedComponents], style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { width: 300, height: 35 }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers, {
                onValueChange(e) {
                    const newDate = new Date(e.nativeEvent.onValueChange);
                    if (typeof selection === 'object' && 'setValue' in selection) {
                        selection.setValue(newDate);
                    }
                    onChange?.(newDate);
                },
            });
        } }));
}
exports.DatePicker = DatePicker;
//# sourceMappingURL=DatePicker.ios.js.map