"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeometryReader = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
function GeometryReader({ children }) {
    const [layout, setLayout] = (0, react_1.useState)({
        frame: {
            x: 0,
            y: 0,
            minX: 0,
            minY: 0,
            maxX: 0,
            maxY: 0,
            midX: 0,
            midY: 0,
        },
        size: {
            width: 0,
            height: 0,
        },
    });
    const handleLayout = (event) => {
        const { layout } = event.nativeEvent;
        setLayout({
            frame: {
                x: layout.x,
                y: layout.y,
                minX: layout.x,
                minY: layout.y,
                maxX: layout.x + layout.width,
                maxY: layout.y + layout.height,
                midX: layout.x + layout.width / 2,
                midY: layout.y + layout.height / 2,
            },
            size: {
                width: layout.width,
                height: layout.height,
            },
        });
    };
    return (react_1.default.createElement(react_native_1.View, { onLayout: handleLayout }, typeof children === 'function' ? children(layout) : children));
}
exports.GeometryReader = GeometryReader;
//# sourceMappingURL=GeometryReader.js.map