"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Group = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeGroup = (0, expo_modules_core_1.requireNativeViewManager)('Group');
function Group({ style, children, ...modifiers }) {
    return (react_1.default.createElement(NativeGroup, { modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } }, react_1.default.Children.map(children, (child) => {
        return react_1.default.createElement(react_native_1.View, { style: { alignSelf: 'center' } }, child);
    })));
}
exports.Group = Group;
//# sourceMappingURL=Group.ios.js.map