"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeImage = (0, expo_modules_core_1.requireNativeViewManager)('SwiftUIImage');
function Image({ style, systemName, ...modifiers }) {
    return (react_1.default.createElement(NativeImage, { systemName: systemName, modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { width: 30, height: 30 }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } }));
}
exports.Image = Image;
Image.displayName = 'SwiftUIImage';
//# sourceMappingURL=Image.ios.js.map