"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Label = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const HStack_1 = require("../HStack");
const Image_1 = require("../Image");
const Text_1 = require("../Text");
const NativeLabel = (0, expo_modules_core_1.requireNativeViewManager)('Label');
function Label({ style, systemImage, title, ...modifiers }) {
    return (react_1.default.createElement(NativeLabel, { systemImage: systemImage, title: title, modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: style, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } },
        react_1.default.createElement(HStack_1.HStack, { ...modifiers },
            react_1.default.createElement(Image_1.Image, { systemName: systemImage }),
            react_1.default.createElement(Text_1.Text, null, title))));
}
exports.Label = Label;
Label.displayName = 'SwiftUILabel';
//# sourceMappingURL=Label.ios.js.map