"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Menu = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeMenu = (0, expo_modules_core_1.requireNativeViewManager)('Menu');
function Menu({ style, title, systemImage, primaryAction, children, ...modifiers }) {
    return (react_1.default.createElement(NativeMenu, { title: title, systemImage: systemImage, hasPrimaryAction: !!primaryAction, modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { height: 40, width: undefined }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers, { onPrimaryAction: primaryAction });
        } }, children));
}
exports.Menu = Menu;
//# sourceMappingURL=Menu.ios.js.map