"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Picker = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const React = __importStar(require("react"));
const binding_1 = require("../../utils/binding");
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeView = (0, expo_modules_core_1.requireNativeViewManager)('Picker');
function Picker({ selection, style, onChange, children, ...modifiers }) {
    const options = React.Children.map(children, (child) => {
        return child.props.children;
    });
    const defaultSize = {
        wheel: { width: 300, height: 100 },
        menu: { width: 100, height: 35 },
        segmented: { width: 300, height: 35 },
    };
    return (React.createElement(NativeView, { options: options, selection: (0, binding_1.getValueOrBinding)(selection), modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, defaultSize[modifiers.pickerStyle || 'menu']),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers, {
                onValueChange: (e) => {
                    if (typeof selection === 'object' && 'setValue' in selection) {
                        selection.setValue(e.nativeEvent.onValueChange);
                    }
                    onChange?.(e.nativeEvent.onValueChange);
                },
            });
        } }));
}
exports.Picker = Picker;
//# sourceMappingURL=Picker.ios.js.map