"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgressView = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeView = (0, expo_modules_core_1.requireNativeViewManager)('Progress');
function ProgressView({ total, style, value, ...modifiers }) {
    return (react_1.default.createElement(NativeView, { modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), value: value, total: total ?? 1, style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, {
                width: 300,
                height: value == undefined ? 20 : 10,
            }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } }));
}
exports.ProgressView = ProgressView;
//# sourceMappingURL=ProgressView.ios.js.map