"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Section = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeSection = (0, expo_modules_core_1.requireNativeViewManager)('Section');
function Section({ style, children, header, footer, ...modifiers }) {
    const { width } = (0, react_native_1.useWindowDimensions)();
    let rowWidth = width;
    switch (modifiers.listStyle || 'insetGrouped') {
        default:
        case 'insetGrouped':
            rowWidth = width - 80;
            break;
        case 'inset':
        case 'grouped':
        case 'plain':
            rowWidth = width - 40;
            break;
    }
    return (react_1.default.createElement(NativeSection, { modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), header: header, footer: footer, style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } }, children));
}
exports.Section = Section;
//# sourceMappingURL=Section.ios.js.map