"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ellipse = exports.Capsule = exports.Circle = exports.UnevenRoundedRectangle = exports.RoundedRectangle = exports.Rectangle = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeShape = (0, expo_modules_core_1.requireNativeViewManager)('Shape');
function Rectangle({ style, ...modifiers }) {
    return (react_1.default.createElement(NativeShape, { type: "Rectangle", modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { width: 30, height: 30 }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } }));
}
exports.Rectangle = Rectangle;
function RoundedRectangle(props) {
    const { style, cornerRadius, ...modifiers } = props;
    return (react_1.default.createElement(NativeShape, { type: "RoundedRectangle", modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), cornerRadius: cornerRadius, style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { width: 30, height: 30 }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } }));
}
exports.RoundedRectangle = RoundedRectangle;
function UnevenRoundedRectangle(props) {
    const { style, cornerRadii, ...modifiers } = props;
    return (react_1.default.createElement(NativeShape, { type: "UnevenRoundedRectangle", modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), cornerRadii: cornerRadii, style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { width: 30, height: 30 }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } }));
}
exports.UnevenRoundedRectangle = UnevenRoundedRectangle;
function Circle(props) {
    const { style, ...modifiers } = props;
    return (react_1.default.createElement(NativeShape, { type: "Circle", modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { width: 30, height: 30 }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } }));
}
exports.Circle = Circle;
function Capsule(props) {
    const { style, ...modifiers } = props;
    return (react_1.default.createElement(NativeShape, { type: "Capsule", modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { width: 30, height: 30 }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } }));
}
exports.Capsule = Capsule;
function Ellipse(props) {
    const { style, ...modifiers } = props;
    return (react_1.default.createElement(NativeShape, { type: "Ellipse", modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { width: 30, height: 30 }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } }));
}
exports.Ellipse = Ellipse;
//# sourceMappingURL=Shape.ios.js.map