"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stepper = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const binding_1 = require("../../utils/binding");
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const NativeStepper = (0, expo_modules_core_1.requireNativeViewManager)('Stepper');
function Stepper(props) {
    const { value, step = 1, range = [-100, 100], onChange, style, ...modifiers } = props;
    return (react_1.default.createElement(NativeStepper, { value: (0, binding_1.getValueOrBinding)(value), modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), step: step, range: range, style: {
            ...(0, modifiers_1.getSizeFromModifiers)(modifiers, { width: 100, height: 30 }),
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers, {
                onValueChange(e) {
                    const newValue = e.nativeEvent.onValueChange;
                    if (typeof value === 'object' && 'setValue' in value) {
                        value.setValue(newValue);
                    }
                    onChange?.(newValue);
                },
            });
        } }));
}
exports.Stepper = Stepper;
Stepper.displayName = 'SwiftUIStepper';
//# sourceMappingURL=Stepper.ios.js.map