"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
const expo_modules_core_1 = require("expo-modules-core");
const react_1 = __importDefault(require("react"));
const modifiers_1 = require("../../utils/modifiers");
const onBaseEvent_1 = require("../../utils/onBaseEvent");
const ShadowText_1 = require("./ShadowText");
const NativeText = (0, expo_modules_core_1.requireNativeViewManager)('Text');
function Text({ style, children, ...modifiers }) {
    const text = Array.isArray(children) ? children.join('') : children;
    modifiers = (0, modifiers_1.getExperimentalPrivateModifiers)(modifiers);
    return (react_1.default.createElement(NativeText, { text: text, modifiers: (0, modifiers_1.mapToNativeModifiers)(modifiers), style: {
            alignSelf: 'center',
            ...style,
        }, onEvent: (e) => {
            (0, onBaseEvent_1.onBaseEvent)(e, modifiers);
        } },
        react_1.default.createElement(ShadowText_1.ShadowText, { ...modifiers }, text)));
}
exports.Text = Text;
Text.displayName = 'SwiftUIText';
//# sourceMappingURL=Text.ios.js.map