---
---

A container view that you can use to add hierarchy within certain views.

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

:::info
Currently, `Section` is only supported in `List`.
:::

## Example

<Tabs>
<TabItem value="srn" label="swiftui-react-native">

```tsx
<List>
  <Section header="This is a header">
    <Text>List Item</Text>
    <Text>List Item</Text>
    <Text>List Item</Text>
  </Section>
</List>
```

</TabItem>
<TabItem value="swiftui" label="SwiftUI">

```swift
List {
    Text("List Item")
    Text("List Item")
    Text("List Item")
} header: {
    Text("This is a header")
}
```

</TabItem>
</Tabs>

## Props

List inherits all [View Modifiers](../modifiers#full-list) as props.

| prop       | description    | type        | required | default     |
| ---------- | -------------- | ----------- | -------- | ----------- |
| `children` | List content   | `ReactNode` | no       | `null`      |
| `header`   | Section header | `string`    | no       | `undefined` |
| `footer`   | Section footer | `string`    | no       | `undefined` |
